Subject: Re: bug#8911: bs-cycle-next deletes window in some cases.

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 Jun 2011 13:06:08 -0400

>> Because 99% of the calls are wrong (they just want to display
>> a specific buffer and the author did not consider what should happen if
>> called in a minibuffer-only frame or in a dedicated window).
> Why aren't minibuffer-only frame windows automatically dedicated?

Maybe just because they predate the notion of dedicatedness?
Or because a minibuffer-only frame will show different buffers at
different times (think of echo-area buffers, recursive minibuffers,
...), so "dedicated" isn't quite right.

        Stefan